summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2014-05-27 08:12:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:40 +0700
commit2d9ffc495ffc53552c9d9591ee435fc41b984bbf (patch)
treeb26f3a3ce794fb3fd6eed7cd86af946f7bda34df /libraries
parent8f1bd581e8d84d86cfd299477ea625e11a64f60a (diff)
downloadslackbuilds-2d9ffc495ffc53552c9d9591ee435fc41b984bbf.tar.gz
slackbuilds-2d9ffc495ffc53552c9d9591ee435fc41b984bbf.tar.xz
libraries/serf: Added (asynchronous HTTP client library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/serf/README10
-rw-r--r--libraries/serf/serf.SlackBuild95
-rw-r--r--libraries/serf/serf.info10
-rw-r--r--libraries/serf/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/serf/README b/libraries/serf/README
new file mode 100644
index 0000000000..de01cb4d90
--- /dev/null
+++ b/libraries/serf/README
@@ -0,0 +1,10 @@
+The serf library is a high performance C-based HTTP client library built upon
+the Apache Portable Runtime (APR) library. It is permissively licensed under
+the Apache License, v2.
+
+Key features:
+* multiplexed, asynchronous connections,
+* SSL/TLS support,
+* full HTTP pipelining,
+* multiple authentication modes (Basic, Digest, Kerberos/NTLM),
+* zero-copy support for increased throughput.
diff --git a/libraries/serf/serf.SlackBuild b/libraries/serf/serf.SlackBuild
new file mode 100644
index 0000000000..fb81ac280b
--- /dev/null
+++ b/libraries/serf/serf.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for serf
+
+# Copyright 2014 Andrzej Telszewski, Sabadell
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=serf
+VERSION=${VERSION:-1.3.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Disable build and install static library
+# Thanks to LFS
+# http://www.linuxfromscratch.org/blfs/view/svn/basicnet/serf.html
+sed -i "/Default/s:lib_static,::" SConstruct
+sed -i "/Alias/s:install_static,::" SConstruct
+
+scons \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ CFLAGS="$SLKCFLAGS"
+scons install --install-sandbox=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES design-guide.txt LICENSE NOTICE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/serf/serf.info b/libraries/serf/serf.info
new file mode 100644
index 0000000000..5d3ef857fb
--- /dev/null
+++ b/libraries/serf/serf.info
@@ -0,0 +1,10 @@
+PRGNAM="serf"
+VERSION="1.3.5"
+HOMEPAGE="http://code.google.com/p/serf/"
+DOWNLOAD="http://serf.googlecode.com/svn/src_releases/serf-1.3.5.tar.bz2"
+MD5SUM="5f642135442ae5a9658ab5c82bfc5209"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scons"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/libraries/serf/slack-desc b/libraries/serf/slack-desc
new file mode 100644
index 0000000000..d914b8411a
--- /dev/null
+++ b/libraries/serf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+serf: serf (high-performance asynchronous HTTP client library)
+serf:
+serf: The serf library is a high performance C-based HTTP client library
+serf: built upon the Apache Portable Runtime (APR) library. Key features:
+serf: * multiplexed, asynchronous connections,
+serf: * SSL/TLS support, full HTTP pipelining,
+serf: * multiple authentication modes (Basic, Digest, Kerberos/NTLM),
+serf: * zero-copy support for increased throughput.
+serf:
+serf: Homepage: http://code.google.com/p/serf/
+serf: